<div class="loginPage">
  <mat-card>
    <mat-card-header>
      <img src="../assets/images/logo.jpeg" />
    </mat-card-header>
    <mat-card-content>
      <form [formGroup]="loginForm">
        <div class="row">
          <mat-form-field class="example-full-width">
            <mat-label>Email</mat-label>
            <input
              matInput
              [formControl]="emailFormControl"
              placeholder="Ex. pat@example.com"
            />
            <mat-error
              *ngIf="
                emailFormControl.hasError('email') &&
                !emailFormControl.hasError('required')
              "
            >
              Please enter a valid email address
            </mat-error>
          </mat-form-field>
        </div>
        <div class="row">
          <mat-form-field class="example-full-width">
            <mat-label>Password</mat-label>
            <input
              type="password"
              matInput
              [formControl]="passwordFormControl"
              placeholder="Enter your password"
            />
          </mat-form-field>
          <div class="pwdForgot">
            <span (click)="forgotPassword()">Forgot your password?</span>
          </div>
        </div>
        <div class="button">
          <button
            (click)="loginUser()"
            mat-raised-button
            color="primary"
            [disabled]="!loginForm.valid"
          >
            Sign in
          </button>
        </div>
      </form>
      <div class="additionalLink">
        Don't have an account?
        <button (click)="register()" mat-button color="primary">Sign up</button>
      </div>
    </mat-card-content>
  </mat-card>
</div>
